Subject: Re: [PATCH v6] format-patch --signature-file <file>

From: Junio C Hamano <[email-masked]>
Date: Wed, 21 May 2014 15:15:55 -0700

Jeff King <[email-masked]> writes:

> I think he is responding to my earlier request to use test_must_fail
> instead of "!".  But there is a subtlety there he does not know, which
> is that we typically only use the former for git programs, and rely on
> "!" for normal Unix commands.

Ok, that explains it.  Thanks.

> Yeah, I noticed and gave a pass on this in earlier review, because the
> file is used across many tests. So burying it in the first test that
> uses it is probably a bad thing. However, it could go in its own setup
> test.

Yeah, placing it in its own setup may be the best.  There are quite
a many set-ups outside the tests in this script from the olden days,
so I am OK if left it as-is and have a separate clean-up patch after
this topic settles.  I am also OK to add a new one "the new right way"
so that a later clean-up patch does not have to change what is added
in this step.